Package ru.bitel.bgbilling.modules.mps.server.bean.protocol

# Class FreecashTransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager
ru.bitel.bgbilling.modules.mps.server.bean.protocol.FreecashTransactionManager

public class FreecashTransactionManager extends MPSTransactionManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `ACTION_CANCEL, ACTION_CHANGE, ACTION_CHECK, ACTION_PAY, ACTION_PAY_ON_CHECK, ACTION_STATUS, documentBuilder, ERROR_MPS_CONTRACT_NOTFOUND, ERROR_MPS_DATA, ERROR_MPS_DATE, ERROR_MPS_DATE_FIELD, ERROR_MPS_EDIT_NOT_SUPPORTED, ERROR_MPS_HASH, ERROR_MPS_ISOFF, ERROR_MPS_NUMBER_PATTERN, ERROR_MPS_OUT_OF_MONEY, ERROR_MPS_PAY_EXIST, ERROR_MPS_PAY_NOTEXIST, ERROR_MPS_REQUEST, ERROR_MPS_SERVER, ERROR_MPS_SUM_BIG, ERROR_MPS_SUM_SMALL, ERROR_MPS_SUM_TOOSMALLORBIG, ERROR_MPS_TRANSACTION_ID_FIELD, ERROR_MPS_TYPE, KEY_RESPONSE_PARAMETERS, MPS_CYBERPLAT, MPS_FROMGATEWAY, MPS_OSMP, p1, p2, p3, pNumber, REQUEST_ATTRIBUTE_PARAMETERS, REQUEST_ATTRIBUTE_PATH_INFO`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreecashTransactionManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultEncoding()`
  `protected byte[]`
  `getResponse(Connection con, Conf.MPSSystem system, MPSResponse response)`
  invalid input: '<'?
  `protected List<Transaction>`
  `getTransactionListFromFile(Conf.MPSSystem system, String file)`
  `protected MPSRequest`
  `parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request)`
  https://[server][?
  `protected void`
  `processError(MPSException ex, MPSResponse response)`
  Обработка ошибки
  `protected byte[]`
  `processRequest(Connection con, int moduleId, String mpsId, Conf conf, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  Обработка запроса от системы

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `actionCheck, addTransaction, addTransaction, addTransaction, cancelPreparedTransaction, cancelTransaction, checkTime, checkValid, clearCanceledTransaction, createTemporaryTable, executePreparedTransaction, executePreparedTransaction, executePreparedTransaction, findContract, getComment, getContractById, getContractTitle, getEncoding, getInstance, getResponseAttributes, getTable, getTransactionByTransId, getTransactionByTransId, getTransactionByTransId, getTransactionFromRS, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionListForDay, getTransactionListFromFileByConfig, getTransactionListFromFileByPattern, getUserLogin, getUserLoginFormatted, onPayment, parseBigInteger, prepareTransaction, prepareTransaction, prepareTransaction, preProcess, processRegister, processRegister, processRequest, processResponseEvent, reviseAddTransactions, reviseCancelTransactions, reviseRestoreTransactions, searchTransactionList, setEncoding, setResponseParameters, setUserLogin, systemAccountAdd, systemAccountDelete, xmlSerialize`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FreecashTransactionManager

    public FreecashTransactionManager()

- ## Method Details

  - ### processRequest

    protected byte[] processRequest(Connection con, int moduleId, String mpsId, Conf conf, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка запроса от системы
    Specified by:
      `processRequest` in class `MPSTransactionManager`

  - ### parseRequest

    protected MPSRequest parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request) throws MPSException
    https://[server][?[[èìÿ_ïàðàìåòðà=çíà÷åíèå_ïàðàìåòðà]invalid input: '&']]] TYPE=N (1,2,3,4) PAY_ID=N ACCOUNT=S PAY_AMOUNT=money DATE=date SIGN=sign
    Specified by:
      `parseRequest` in class `MPSTransactionManager`
    Throws:
      `MPSException`

  - ### processError

    protected void processError(MPSException ex, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка ошибки
    Specified by:
      `processError` in class `MPSTransactionManager`

  - ### getTransactionListFromFile

    protected List<Transaction> getTransactionListFromFile(Conf.MPSSystem system, String file)
    Specified by:
      `getTransactionListFromFile` in class `MPSTransactionManager`

  - ### getResponse

    protected byte[] getResponse(Connection con, Conf.MPSSystem system, MPSResponse response)
    invalid input: '<'?xml version="1.0" encoding="windows-1251"?> 2007-01-01 00:01:20 0 ÔÈÎ
    Specified by:
      `getResponse` in class `MPSTransactionManager`

  - ### getDefaultEncoding

    public String getDefaultEncoding()
    Overrides:
      `getDefaultEncoding` in class `MPSTransactionManager`